declare const configuration: {
    rules: {
        'api-method-should-specify-api-response': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"shouldSpecifyApiResponse", never[], {
            MethodDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").MethodDefinition): void;
        }>;
        'all-properties-are-whitelisted': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"missing-property-decorator", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ClassDeclaration): void;
        }>;
        'validated-non-primitive-property-needs-type-decorator': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"shouldUseTypeDecorator", import("./rules/validated-non-primitive-property-needs-type-decorator/validateNonPrimitiveNeedsDecorators").ValidateNonPrimitivePropertyTypeDecoratorOptions, {
            PropertyDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").PropertyDefinition): void;
        }>;
    };
    configs: {
        recommended: {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                'nestjs-apex/api-method-should-specify-api-response': string;
                'nestjs-apex/validated-non-primitive-property-needs-type-decorator': string;
                'nestjs-apex/all-properties-are-whitelisted': string;
            };
        };
        'no-swagger': {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                'nestjs-typed/api-method-should-specify-api-response': string;
            };
        };
    };
};
export = configuration;
